Name:           kpovmodeler
Version:        1.1.4
Release:        1%{?dist}
Summary:        KDE Graphical 3D modeler for POV-Ray
License:        GPLv2
URL:            http://www.kpovmodeler.org
Source0:        https://github.com/didier13150/%{name}/archive/refs/tags/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  freetype-devel
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtx11extras-devel
BuildRequires:  kf5-kio-devel
BuildRequires:  kf5-karchive-devel
BuildRequires:  kf5-kiconthemes-devel
BuildRequires:  kf5-ki18n-devel
BuildRequires:  kf5-kparts-devel
BuildRequires:  kf5-rpm-macros
BuildRequires:  extra-cmake-modules
BuildRequires:  mesa-libGLU-devel
Requires:       povray
Requires:       freetype

%description
KPovModeler is a modeling and composition program for creating POV-Ray scenes
in KDE.

For most modelers, POV-Ray is nothing but a rendering engine. This greatly
limits the innate possibilities of the POV-Ray scripted language. This is not
the case for KPovModeler, which allows you to use all the features of POV-Ray
through the translation of POV-Ray language into a graphical tree. 

%package devel
Summary:        Devel package for kpovmodeler
Requires:       %{name} = %{version}-%{release}

%description devel
Devel package for kpovmodeler

%prep
%setup -qn %{name}-%{version}

%build
%cmake_kf5 \
    -DOpenGL_GL_PREFERENCE=LEGACY
%cmake_build

%install
%cmake_install

%files
%license COPYING
%{_bindir}/%{name}
%{_libdir}/libl%{name}.so.*
%{_libdir}/qt5/plugins/lib%{name}part.so
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/dbus-1/interfaces/org.kde.%{name}.xml
%{_datadir}/kservices5/%{name}part.desktop
%doc AUTHORS README REQUIREMENTS

%files devel
%{_libdir}/libl%{name}.so
%license COPYING
%doc AUTHORS BUGS ChangeLog README REQUIREMENTS StyleConvention TODO

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%changelog
* Thu Jul 25 2024 Didier Fabert <didier.fabert@gmail.com> 1.1.4-1
- Fix for KF5

* Sat Feb 08 2014 Didier Fabert <didier.fabert@gmail.com> 1.1.3-0.3.qt5
- reworked for qt5, qt3 support removed from qt code, kpart use almost them by eticre

* Sun Jul 21 2013 Didier Fabert <didier.fabert@gmail.com> 1.1.3-0.2.svn1305095
- Add freetype-devel to build requires

* Sat Jun 15 2013 Didier Fabert <didier.fabert@gmail.com> 1.1.3-0.1.svn1305095
- First Release
